function [crit,grad] = objective_huber_l2D(x,D,b,rho,lambda)

[n1,n2] = size(x);
crit1 = function_huberl2(x(:)-b(:),rho);
grad1 = reshape(grad_huberl2(x(:)-b(:),rho),n1,n2);

crit2 = lambda/2*sum((D*x(:)).^2);
grad2 = lambda* reshape(D'*(D*x(:)),n1,n2);

crit = crit1 + crit2;
grad = grad1 + grad2;