function p = prox_huberl2(x,rho,gamma)

[n,m] = size(x);
x = x(:);
gamma = gamma(:);
p = x - gamma.*x./abs(x);
ind = find(abs(x)<=  (gamma + rho));
if numel(gamma)>1
    p(ind) = rho* x(ind)./(gamma(ind)+rho);
else
    p(ind) = rho* x(ind)./(gamma+rho);
end
p = reshape(p,n,m);


    
