function p = prox_huberl2_matrix(x,rho,gamma)

if numel(gamma)>1
    [n,m] = size(x);
    x = x(:);
    gamma = gamma(:);
    p = x - gamma.*x./abs(x);
    ind = find(abs(x)<=  (gamma + rho));
    p(ind) = rho* x(ind)./(gamma(ind)+rho);
    p = reshape(p,n,m);
else
    [n,m] = size(x);
    x = x(:);
    p = x - gamma.*x./abs(x);
    ind = find(abs(x)<=  (gamma + rho));
    p(ind) = rho* x(ind)./(gamma+rho);
    p = reshape(p,n,m);
end
    

    
