function [crit,grad] = objective_l2_huber(xn,A,b,op,rho,n1,n2,lambda)


crit1 = 1/2*sum((A*xn-b(:)).^2);
grad1 = A'*(A*xn-b);

crit2 = lambda*function_huberl2(op.direct(reshape(xn,n1,n2)),rho);
grad2 = lambda*reshape(op.adjoint(grad_huberl2(op.direct(reshape(xn,n1,n2)),rho)),n1*n2,1);


crit = crit1 + crit2;
grad = grad1+grad2;