function [wph,wmh] = prox_huber_frame(wpy,wmy,rho,gamma,lambda,param)

for j=1:param.rm
     for ml=1:param.Ml
         for mc=1:param.Mc
            if (j==rm && ml==1 && mc==1)
                omegap = lambda(1)*gamma;
                wph{j}{ml}{mc}= param.mup + prox_huberl2(wpy{j}{ml}{mc}-mup,rho,omegap);
                omegam = lambda(1)*gamma;
                wmh{j}{ml}{mc}= param.mum + prox_huberl2(wmy{j}{ml}{mc}-mum,rho,omegam);

            elseif ~isempty(wmy{j}{ml}{mc})
                omegap = lambda(2)*gamma ;
                wph{j}{ml}{mc} = prox_huberl2(wpy{j}{ml}{mc},omegap);
                omegam = lambda(2)*gamma ;
                wmh{j}{ml}{mc} = prox_huberl2(wmy{j}{ml}{mc},omegam);

            end
         end
     end      
end
    

    
